Package org.apache.ignite.plugin.extensions.communication

## Enum MessageCollectionItemType

- java.lang.Object
- - java.lang.Enum<MessageCollectionItemType>
  - - org.apache.ignite.plugin.extensions.communication.MessageCollectionItemType

- All Implemented Interfaces:
    `Serializable`, `Comparable<MessageCollectionItemType>`

      public enum MessageCollectionItemType
      extends Enum<MessageCollectionItemType>

  Enum representing possible types of collection items.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFFINITY_TOPOLOGY_VERSION` | Topology version.
    `BIT_SET` | Bit set.
    `BOOLEAN` | Boolean.
    `BOOLEAN_ARR` | Boolean array.
    `BYTE` | Byte.
    `BYTE_ARR` | Byte array.
    `CACHE_OBJECT` | Cache object.
    `CHAR` | Character.
    `CHAR_ARR` | Character array.
    `DOUBLE` | Double.
    `DOUBLE_ARR` | Double array.
    `FLOAT` | Float.
    `FLOAT_ARR` | Float array.
    `GRID_LONG_LIST` | GridLongList
    `IGNITE_UUID` | Ignite UUID.
    `INT` | Integer.
    `INT_ARR` | Integer array.
    `KEY_CACHE_OBJECT` | Key cache object.
    `LONG` | Long.
    `LONG_ARR` | Long array.
    `MSG` | Message.
    `SHORT` | Short.
    `SHORT_ARR` | Short array.
    `STRING` | String.
    `UUID` | UUID.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static @Nullable MessageCollectionItemType` | `fromOrdinal​(int ord)` | Efficiently gets enumerated value from its ordinal.
    `static MessageCollectionItemType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MessageCollectionItemType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTE

          public static final MessageCollectionItemType BYTE

      Byte.

    - #### SHORT

          public static final MessageCollectionItemType SHORT

      Short.

    - #### INT

          public static final MessageCollectionItemType INT

      Integer.

    - #### LONG

          public static final MessageCollectionItemType LONG

      Long.

    - #### FLOAT

          public static final MessageCollectionItemType FLOAT

      Float.

    - #### DOUBLE

          public static final MessageCollectionItemType DOUBLE

      Double.

    - #### CHAR

          public static final MessageCollectionItemType CHAR

      Character.

    - #### BOOLEAN

          public static final MessageCollectionItemType BOOLEAN

      Boolean.

    - #### BYTE_ARR

          public static final MessageCollectionItemType BYTE_ARR

      Byte array.

    - #### SHORT_ARR

          public static final MessageCollectionItemType SHORT_ARR

      Short array.

    - #### INT_ARR

          public static final MessageCollectionItemType INT_ARR

      Integer array.

    - #### LONG_ARR

          public static final MessageCollectionItemType LONG_ARR

      Long array.

    - #### FLOAT_ARR

          public static final MessageCollectionItemType FLOAT_ARR

      Float array.

    - #### DOUBLE_ARR

          public static final MessageCollectionItemType DOUBLE_ARR

      Double array.

    - #### CHAR_ARR

          public static final MessageCollectionItemType CHAR_ARR

      Character array.

    - #### BOOLEAN_ARR

          public static final MessageCollectionItemType BOOLEAN_ARR

      Boolean array.

    - #### STRING

          public static final MessageCollectionItemType STRING

      String.

    - #### BIT_SET

          public static final MessageCollectionItemType BIT_SET

      Bit set.

    - #### UUID

          public static final MessageCollectionItemType UUID

      UUID.

    - #### IGNITE_UUID

          public static final MessageCollectionItemType IGNITE_UUID

      Ignite UUID.

    - #### MSG

          public static final MessageCollectionItemType MSG

      Message.

    - #### AFFINITY_TOPOLOGY_VERSION

          public static final MessageCollectionItemType AFFINITY_TOPOLOGY_VERSION

      Topology version.

    - #### KEY_CACHE_OBJECT

          public static final MessageCollectionItemType KEY_CACHE_OBJECT

      Key cache object.

    - #### CACHE_OBJECT

          public static final MessageCollectionItemType CACHE_OBJECT

      Cache object.

    - #### GRID_LONG_LIST

          public static final MessageCollectionItemType GRID_LONG_LIST

      GridLongList

  - ### Method Detail

    - #### values

          public static MessageCollectionItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageCollectionItemType c : MessageCollectionItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageCollectionItemType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable MessageCollectionItemType fromOrdinal​(int ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.